LSIRQ(1)

NAME
lsirq - utility to display kernel interrupt information

SYNOPSIS

lsirq [options]

DESCRIPTION

Display kernel interrupt counter information.

The default output is subject to change. So whenever possible, you should avoid using default outputs in your scripts. Always explicitly define expected columns by using --output.

OPTIONS

-n, --noheadings
    Don’t print headings.

-i, --input file
    Read data from file (Which was created by other tools, e.g. sosreport(1)).

-o, --output list
    Specify which output columns to print. Use --help to get a list of all supported columns. The default list of columns may be extended if list is specified in the format +list.

-s, --sort column
    Specify sort criteria by column name. See --help output to get column names.

-J, --json
    Use JSON output format.

-P, --pairs
    Produce output in the form of key="value" pairs. All potentially unsafe characters are hex-escaped (\x<code>).

-S, --softirq
    Show softirqs information.

-t, --threshold min
    Only show IRQs with counters above the specified threshold. Human readable values are supported (e.g. 1.2K).

-C, --cpu-list list
    Only show interrupt counters on the specified CPU list.

-h, --help
    Display help text and exit.

-V, --version
    Display version and exit.

ENVIRONMENT

LIBSMARTCOLS_DEBUG=all
    enables libsmartcols debug output.

LIBSMARTCOLS_DEBUG_PADDING=on
    use visible padding characters.

LIBSMARTCOLS_JSON=compact|lines
    Controls JSON output format when using --json. Supported values are compact for JSON output with minimal whitespace, and lines for JSON Lines format (one JSON object per line). If unset or set to any other value, pretty-printed JSON is used.

AUTHORS

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The lsirq command is part of the util-linux package which can be downloaded from